[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlAtPosFlag

Flags for finding a control at given (client) position.

## Declaration

Source position: controls.pp line 1614

`type TControlAtPosFlag = (`
`capfAllowDisabled,` |  |
`capfAllowWinControls,` |  |
`capfOnlyClientAreas,` |  |
`capfRecursive,` |  |
`capfHasScrollOffset` |  |
`);`

## Description

capfAllowDisabled: include disabled controls? capfAllowWinControls: do not find WinControls if False. capfOnlyClientAreas: hit client areas only. capfRecursive: search into child controls. capfHasScrollOffset: crap, ScrollOffset is taken into account only for the first (top level) WinControl.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.